Package org.eclipse.jgit.lib

## Class ObjectIdOwnerMap.Entry

- java.lang.Object
- - org.eclipse.jgit.lib.AnyObjectId
  - - org.eclipse.jgit.lib.ObjectId
    - - org.eclipse.jgit.lib.ObjectIdOwnerMap.Entry

All Implemented Interfaces:
  `Serializable`, `Comparable<AnyObjectId>`

Direct Known Subclasses:
  `PackedObjectInfo`, `RevObject`

Enclosing class:
  ObjectIdOwnerMap<V extends ObjectIdOwnerMap.Entry>

    public abstract static class ObjectIdOwnerMap.Entry
    extends ObjectId

Type of entry stored in the `ObjectIdOwnerMap`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`Entry​(AnyObjectId id)` Initialize this entry with a specific ObjectId.

### Method Summary

### Methods inherited from class org.eclipse.jgit.lib.ObjectId

`equals, fromRaw, fromRaw, fromRaw, fromRaw, fromString, fromString, isId, toObjectId, toString, zeroId`

### Methods inherited from class org.eclipse.jgit.lib.AnyObjectId

`abbreviate, compareTo, compareTo, compareTo, copy, copyRawTo, copyRawTo, copyRawTo, copyRawTo, copyTo, copyTo, copyTo, copyTo, copyTo, copyTo, equals, equals, equals, getByte, getFirstByte, getName, hashCode, name, startsWith, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Entry

    public Entry​(AnyObjectId id)

Initialize this entry with a specific ObjectId.

Parameters:
  `id` - the id the entry represents.